List Migrations
curl --request POST \
--url https://api.mixpeek.com/v1/namespaces/migrations/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_namespace_id": "<string>",
"limit": 20,
"offset": 0
}
'import requests
url = "https://api.mixpeek.com/v1/namespaces/migrations/list"
payload = {
"source_namespace_id": "<string>",
"limit": 20,
"offset": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source_namespace_id: '<string>', limit: 20, offset: 0})
};
fetch('https://api.mixpeek.com/v1/namespaces/migrations/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"migration_id": "<string>",
"internal_id": "<string>",
"namespace_id": "<string>",
"config": {
"source_namespace_id": "<string>",
"target_namespace_id": "<string>",
"target_namespace_name": "<string>",
"feature_extractors": [
{
"feature_extractor_name": "<string>",
"version": "<string>",
"parameters": {}
}
],
"filters": {
"collection_ids": [
"<string>"
],
"taxonomy_ids": [
"<string>"
],
"cluster_ids": [
"<string>"
],
"retriever_ids": [
"<string>"
],
"date_range": {},
"auto_include_dependencies": true
},
"batch_options": {
"batch_size": 100,
"max_workers": 10,
"retry_failed": true
},
"taxonomy_options": {
"preserve_taxonomy_ids": true,
"preserve_enrichment_fields": true,
"re_run_enrichment": false,
"migrate_reference_collections": true
},
"cluster_options": {
"preserve_cluster_ids": true,
"preserve_assignments": true,
"migrate_artifacts": true,
"preserve_centroids": true,
"recompute_clusters": false
},
"retriever_options": {
"preserve_retriever_ids": false,
"migrate_interactions": false,
"migrate_execution_history": false,
"validate_references": true
},
"preserve_resource_ids": false,
"dry_run": false,
"webhook_url": "<string>"
},
"progress": {
"overall_progress_percent": 0,
"stages": [
{
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"progress_percent": 0,
"items_total": 0,
"items_completed": 0,
"items_failed": 0,
"error_message": "<string>"
}
],
"resources": [
{
"resource_id": "<string>",
"progress_percent": 0,
"error_message": "<string>"
}
],
"started_at": "2023-11-07T05:31:56Z",
"estimated_completion": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"validation_result": {
"valid": true,
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
],
"warnings": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
],
"estimated_resources": {},
"estimated_duration_seconds": 123
},
"dependency_graph": {
"nodes": [
{
"resource_id": "<string>",
"dependencies": [
"<string>"
],
"tier": 0
}
],
"execution_order": [
"<string>"
]
},
"task_id": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error_message": "<string>",
"additional_data": {}
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"status": 123,
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": {}
},
"success": false
}Migrations
List Migrations
List migrations with optional filters.
Args: request: FastAPI request list_request: Filter and pagination parameters
Returns: ListMigrationsResponse with migrations list
POST
/
v1
/
namespaces
/
migrations
/
list
List Migrations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to list migrations with filters.
Filter by status
Available options:
draft, validating, pending, in_progress, completed, failed, cancelled Filter by type
Available options:
re_extract, copy, extend Filter by source namespace
Maximum results
Required range:
1 <= x <= 1000Result offset for pagination
Required range:
x >= 0Was this page helpful?
⌘I

